Assign a Credential to an ACS User
To assign a credential to an ACS user, provide both theacs_user_id and the acs_credential_id.
- JavaScript
- cURL
- Python
- Ruby
- PHP
- C#
Request:Response:
await seam.acs.credentials.assign({
acs_user_id: '33333333-3333-3333-3333-333333333333',
acs_credential_id: '66666666-6666-6666-6666-666666666666',
})
This response contains manufacturer-specific metadata that may vary by
manufacturer.
{
"acs_credential_id": "99999999-9999-9999-9999-999999999999",
"acs_user_id": "33333333-3333-3333-3333-333333333333",
"display_name": "Multi Phone Sync Credential",
"code": null,
"acs_system_id": "11111111-1111-1111-1111-111111111111",
"access_method": "mobile_key",
"workspace_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2024-04-12T03:56:22.396Z",
"is_multi_phone_sync_credential": true
// manufacturer-specific metadata
}
Request:Response:
curl -X 'POST' \
'https://connect.getseam.com/acs/credentials/assign' \
-H "Authorization: Bearer ${API_KEY}" \
-H 'Content-Type: application/json' \
-d '{
"acs_user_id": "33333333-3333-3333-3333-333333333333",
"acs_credential_id": "66666666-6666-6666-6666-666666666666"
}'
This response contains manufacturer-specific metadata that may vary by
manufacturer.
{
"acs_credential": {
"acs_credential_id": "99999999-9999-9999-9999-999999999999",
"acs_user_id": "33333333-3333-3333-3333-333333333333",
"display_name": "Multi Phone Sync Credential",
"code": null,
"acs_system_id": "11111111-1111-1111-1111-111111111111",
"access_method": "mobile_key",
"workspace_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2024-04-12T03:56:22.396Z",
"is_multi_phone_sync_credential": true,
# manufacturer-specific metadata
},
"ok": true
}
Request:Response:
seam.acs.credentials.assign(
acs_user_id="33333333-3333-3333-3333-333333333333",
acs_credential_id="66666666-6666-6666-6666-666666666666"
)
This response contains manufacturer-specific metadata that may vary by
manufacturer.
AcsCredential(
acs_credential_id='99999999-9999-9999-9999-999999999999',
acs_user_id='33333333-3333-3333-3333-333333333333',
display_name='Multi Phone Sync Credential',
code=null,
acs_system_id='11111111-1111-1111-1111-111111111111',
access_method='mobile_key',
workspace_id='00000000-0000-0000-0000-000000000000',
created_at='2024-04-12T03:56:22.396Z',
is_multi_phone_sync_credential=True,
# manufacturer-specific metadata
)
Request:Response:
# Coming soon!
# Coming soon!
Request:Response:
$seam->acs->credentials->assign(
acs_user_id: "33333333-3333-3333-3333-333333333333",
acs_credential_id: "66666666-6666-6666-6666-66666666"
);
This response contains manufacturer-specific metadata that may vary by
manufacturer.
{
"acs_credential_id": "99999999-9999-9999-9999-999999999999",
"acs_user_id": "33333333-3333-3333-3333-333333333333",
"display_name": "Multi Phone Sync Credential",
"code": null,
"acs_system_id": "11111111-1111-1111-1111-111111111111",
"access_method": "mobile_key",
"workspace_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2024-04-12T03:56:22.396Z",
"is_multi_phone_sync_credential": true
// manufacturer-specific metadata
}
Request:Response:
seam.CredentialsAcs.Assign(
acsUserId: "33333333-3333-3333-3333-333333333333",
acsCredentialId: "66666666-6666-6666-6666-66666666"
);
This response contains manufacturer-specific metadata that may vary by
manufacturer.
{
"acs_credential_id": "99999999-9999-9999-9999-999999999999",
"acs_user_id": "33333333-3333-3333-3333-333333333333",
"display_name": "Multi Phone Sync Credential",
"code": null,
"acs_system_id": "11111111-1111-1111-1111-111111111111",
"access_method": "mobile_key",
"workspace_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2024-04-12T03:56:22.396Z",
"is_multi_phone_sync_credential": true
// manufacturer-specific metadata
}
Unassign a Credential from an ACS User
To unassign a credential from an ACS user, provide both theacs_user_id and the acs_credential_id.
- JavaScript
- cURL
- Python
- Ruby
- PHP
- C#
Request:Response:
await seam.acs.credentials.unassign({
acs_user_id: '33333333-3333-3333-3333-333333333333',
acs_credential_id: '66666666-6666-6666-6666-666666666666',
})
This response contains manufacturer-specific metadata that may vary by
manufacturer.
{
"acs_credential_id": "99999999-9999-9999-9999-999999999999",
"acs_user_id": "33333333-3333-3333-3333-333333333333",
"display_name": "Multi Phone Sync Credential",
"code": null,
"acs_system_id": "11111111-1111-1111-1111-111111111111",
"access_method": "mobile_key",
"workspace_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2024-04-12T03:56:22.396Z",
"is_multi_phone_sync_credential": true
// manufacturer-specific metadata
}
Request:Response:
curl -X 'POST' \
'https://connect.getseam.com/acs/credentials/unassign' \
-H "Authorization: Bearer ${API_KEY}" \
-H 'Content-Type: application/json' \
-d '{
"acs_user_id": "33333333-3333-3333-3333-333333333333",
"acs_credential_id": "66666666-6666-6666-6666-666666666666"
}'
This response contains manufacturer-specific metadata that may vary by
manufacturer.
{
"acs_credential": {
"acs_credential_id": "99999999-9999-9999-9999-999999999999",
"acs_user_id": "33333333-3333-3333-3333-333333333333",
"display_name": "Multi Phone Sync Credential",
"code": null,
"acs_system_id": "11111111-1111-1111-1111-111111111111",
"access_method": "mobile_key",
"workspace_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2024-04-12T03:56:22.396Z",
"is_multi_phone_sync_credential": true,
# manufacturer-specific metadata
},
"ok": true
}
Request:Response:
seam.acs.credentials.unassign(
acs_user_id="33333333-3333-3333-3333-333333333333",
acs_credential_id="66666666-6666-6666-6666-666666666666"
)
This response contains manufacturer-specific metadata that may vary by
manufacturer.
AcsCredential(
acs_credential_id='99999999-9999-9999-9999-999999999999',
acs_user_id='33333333-3333-3333-3333-333333333333',
display_name='Multi Phone Sync Credential',
code=null,
acs_system_id='11111111-1111-1111-1111-111111111111',
access_method='mobile_key',
workspace_id='00000000-0000-0000-0000-000000000000',
created_at='2024-04-12T03:56:22.396Z',
is_multi_phone_sync_credential=True,
# manufacturer-specific metadata
)
Request:Response:
# Coming soon!
# Coming soon!
Request:Response:
$seam->acs->credentials->unassign(
acs_user_id: "33333333-3333-3333-3333-333333333333",
acs_credential_id: "66666666-6666-6666-6666-66666666"
);
This response contains manufacturer-specific metadata that may vary by
manufacturer.
{
"acs_credential_id": "99999999-9999-9999-9999-999999999999",
"acs_user_id": "33333333-3333-3333-3333-333333333333",
"display_name": "Multi Phone Sync Credential",
"code": null,
"acs_system_id": "11111111-1111-1111-1111-111111111111",
"access_method": "mobile_key",
"workspace_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2024-04-12T03:56:22.396Z",
"is_multi_phone_sync_credential": true
// manufacturer-specific metadata
}
Request:Response:
seam.CredentialsAcs.Unassign(
acsUserId: "33333333-3333-3333-3333-333333333333",
acsCredentialId: "66666666-6666-6666-6666-66666666"
);
This response contains manufacturer-specific metadata that may vary by
manufacturer.
{
"acs_credential_id": "99999999-9999-9999-9999-999999999999",
"acs_user_id": "33333333-3333-3333-3333-333333333333",
"display_name": "Multi Phone Sync Credential",
"code": null,
"acs_system_id": "11111111-1111-1111-1111-111111111111",
"access_method": "mobile_key",
"workspace_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2024-04-12T03:56:22.396Z",
"is_multi_phone_sync_credential": true
// manufacturer-specific metadata
}

